begin
  require 'faker'
  @have_faker = true
rescue LoadError
  @have_faker = false
end

desc "Create a fake certificate request"
task :fakecsr, :count do |t, args|
  alt_names = ARGV.include? "alt_names"
  if alt_names
    task :alt_names do; end
  end

  count = (args[:count] || 20).to_i

  def random_name
    if @have_faker
      Faker::Internet.user_name + "." + Faker::Internet.domain_name
    else
      "example_" + rand(100000).to_s
    end
  end

  count.times do
    cn = random_name
    alt = alt_names ? random_name : nil
    system(openssl_command(:cn => cn, :alt => alt, :master => 'master'))
    system(put_command(cn))
  end

end
